Subject: Issue 200 ("word" in ABNF), was: suggestions for examples and explication wrt ABNF and header fields in draft-ietf-httpbis-p1

From: Julian Reschke <[email-masked]>
Date: Mon, 12 Apr 2010 15:48:22 +0200

On 13.01.2010 17:40, =JeffH wrote:
>  > RFC2616 said:
>  >
>  > "The grammar described by this specification is word-based. Except where
>  > noted otherwise, linear white space (LWS) can be included between any
>  > two adjacent words (token or quoted-string), and between adjacent words
>  > and separators, without changing the interpretation of a field." --
>  > <http://greenbytes.de/tech/webdav/rfc2616.html#basic.rules>
>
> yes, good catch.
>
>
>  > So what got lost is the explanation word = token / quoted-string.
>  > Apparently we need to resurrect that part.
>
> If you want to retain those two instances of using "word" rather than
> "token", then yes, I agree you'd want to resurrect (in some way) that
> portion of 2616 you quoted. I think you'd want to be sure include the
> parenthetical "..two adjacent words (token or quoted-string).." that
> indicates that what the prose is referring to as a "word" is either a
> token or a quoted-string in the ABNF.
> ...

Picking up an older thread...:

We now have "word" explained in the prose (as of draft 09).

What's still left to discuss is whether we want to change the ABNF, defining

   word = token / quoted-string

and use "word" throughout where we currently have "token / quoted-string".

Proposed change in:

<http://trac.tools.ietf.org/wg/httpbis/trac/attachment/ticket/200/i200.diff>

Last-calling... I intend to make this change (affecting Parts 1 and 3) 
later this week.

Best regards, Julian

---

From: Julian Reschke <[email-masked]>
Date: Fri, 16 Apr 2010 13:52:31 +0200

> Last-calling... I intend to make this change (affecting Parts 1 and 3)

Applied with <http://trac.tools.ietf.org/wg/httpbis/trac/changeset/810>; 
this should close issue 200.

Best regards, Julian